Index: pom.xml
===================================================================
--- pom.xml	(revision 40509)
+++ pom.xml	(revision 40510)
@@ -1,7 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
-         http://maven.apache.org/xsd/maven-4.0.0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0          http://maven.apache.org/xsd/maven-4.0.0.xsd">
 
     <modelVersion>4.0.0</modelVersion>
     <groupId>org.gvsig</groupId>
@@ -11,7 +9,7 @@
     <!-- Update property  gvsig.desktop.version when update-->
     <!-- project version  -->
     <!-- Also update version of project org.gvsig.desktop.buildtools -->
-    <version>2.0.10-SNAPSHOT</version>
+    <version>2.0.10</version>
 
     <name>${project.artifactId}</name>
     <description>
@@ -40,9 +38,9 @@
     </organization>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/trunk/</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/tags/org.gvsig.desktop-2.0.10</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/tags/org.gvsig.desktop-2.0.10</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/tags/org.gvsig.desktop-2.0.10</url>
     </scm>
     
     <repositories>
@@ -849,84 +847,84 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.cresques.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.cresques.ui</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.andami</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.app</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>   
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.ui</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.control</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.mapcontext.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.mapcontext.operation</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.spi</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.lib</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.jdbc</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.h2</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
@@ -946,7 +944,7 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.lib</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
@@ -956,246 +954,246 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.dbf</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.shp</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.newlayer.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.newlayer.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
               <type>test-jar</type>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.newlayer.lib.impl</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.prov.generic</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency> 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.prov.file</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency> 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.prov.shape</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency> 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.lib.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.lib.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.swing.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.swing.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.operation</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.evaluator.sqljep</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.compat.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.compat.se</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.remoteclient</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.i18n</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.utils</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.annotation.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency> 
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.annotation.lib.impl</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>  
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.annotation.swing.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.annotation.swing.impl</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.exportto.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.exportto.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
               <type>test-jar</type>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.lib.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.spi</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.generic</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.file</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.jdbc</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.shape</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.dxf</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.dbf</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.postgresql</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.mysql</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.personaldb.lib.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.personaldb.lib.api</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.personaldb.lib.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.installer.swing.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.swing.impl</artifactId>
-                <version>2.0.10-SNAPSHOT</version>
+                <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.installer.lib.api</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.installer.lib.spi</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.installer.lib.impl</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.installer.prov.plugin</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
@@ -1206,17 +1204,17 @@
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>  
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
             </dependency>  
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-              <version>2.0.10-SNAPSHOT</version>
+              <version>2.0.10</version>
               <type>test-jar</type>
               <scope>test</scope>
             </dependency>  
@@ -1262,7 +1260,7 @@
                       </goals>
                     </pluginExecutionFilter>
                     <action>
-                      <ignore></ignore>
+                      <ignore />
                     </action>
                   </pluginExecution>
                   <pluginExecution>
@@ -1277,7 +1275,7 @@
                       </goals>
                     </pluginExecutionFilter>
                     <action>
-                      <ignore></ignore>
+                      <ignore />
                     </action>
                   </pluginExecution>
                 </pluginExecutions>
@@ -1608,7 +1606,7 @@
             <phase>install</phase>
             <configuration>
               <target>
-                <unzip src="target/${project.artifactId}-${project.version}-root-folder.zip" dest="${gvsig.product.folder.path}"/>
+                <unzip src="target/${project.artifactId}-${project.version}-root-folder.zip" dest="${gvsig.product.folder.path}" />
               </target>
             </configuration>
             <goals>