Index: pom.xml
===================================================================
--- pom.xml	(revision 40768)
+++ pom.xml	(revision 40769)
@@ -42,7 +42,7 @@
     </organization>
 
     <scm>
-        <connection>https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/</connection>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/</connection>
         <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/</developerConnection>
         <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/trunk//org.gvsig.desktop/</url>
     </scm>
@@ -209,14 +209,7 @@
                 <artifactId>batik-bridge</artifactId>
                 <version>1.7</version>
             </dependency>
-            <!--
             <dependency>
-                <groupId>org.gvsig</groupId>
-                <artifactId>batik-ext-gvsig-custom</artifactId>
-                <version>1.7.0</version>
-            </dependency>
-            -->
-            <dependency>
                 <groupId>org.apache.xmlgraphics</groupId>
                 <artifactId>batik-ext</artifactId>
                 <version>1.7</version>
@@ -316,6 +309,11 @@
                 <artifactId>commons-collections</artifactId>
                 <version>3.2.1</version>
             </dependency>
+			<dependency>
+			  <groupId>org.apache.commons</groupId>
+			  <artifactId>commons-csv</artifactId>
+			  <version>1.0-SNAPSHOT</version>
+			</dependency>            
             <dependency>
                 <groupId>commons-httpclient</groupId>
                 <artifactId>commons-httpclient</artifactId>
@@ -1404,6 +1402,21 @@
                       <ignore />
                     </action>
                   </pluginExecution>
+                  <pluginExecution>
+                  	<pluginExecutionFilter>
+                  		<groupId>org.apache.maven.plugins</groupId>
+                  		<artifactId>
+                  			maven-dependency-plugin
+                  		</artifactId>
+                  		<versionRange>[2.1,)</versionRange>
+                  		<goals>
+                  			<goal>unpack</goal>
+                  		</goals>
+                  	</pluginExecutionFilter>
+                  	<action>
+                  		<ignore></ignore>
+                  	</action>
+                  </pluginExecution>
                 </pluginExecutions>
               </lifecycleMappingMetadata>
             </configuration>
@@ -1581,7 +1594,7 @@
                   <configuration>
                     <ignoreDirFormatExtensions>true</ignoreDirFormatExtensions>
                     <appendAssemblyId>false</appendAssemblyId>
-                    <finalName>gvSIG-desktop-${gvsig.package.info.gvSIGVersion}-${project.artifactId}-${gvsig.package.info.version}-${buildNumber}-${gvsig.package.info.state}-${gvsig.package.info.operatingSystem}-${gvsig.package.info.architecture}-${gvsig.package.info.javaVM}.gvspkg</finalName>
+                    <finalName>gvSIG-desktop-${gvsig.package.info.gvSIGVersion}-${gvsig.package.info.code}-${gvsig.package.info.version}-${buildNumber}-${gvsig.package.info.state}-${gvsig.package.info.operatingSystem}-${gvsig.package.info.architecture}-${gvsig.package.info.javaVM}.gvspkg</finalName>
                     <descriptors>
                       <descriptor>src/main/assembly/gvsig-plugin-package.xml</descriptor>
                     </descriptors>
@@ -1637,7 +1650,18 @@
             </dependencies>
           </plugin>    
 
+          <!-- Habria que ver si es posible sustituir el plugin -->
+          <!-- com.mycila.maven-license-plugin:maven-license-plugin por este -->
+          <!-- Ver http://mojo.codehaus.org/license-maven-plugin/index.html -->
+          <!--
           <plugin>
+              <groupId>org.codehaus.mojo</groupId>
+              <artifactId>license-maven-plugin</artifactId>
+              <version>1.5</version>
+          </plugin>
+          -->
+
+          <plugin>
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-checkstyle-plugin</artifactId>
             <version>2.10</version>
@@ -1693,11 +1717,11 @@
                         package_info_file  = new File(project.basedir, "target/package.info")
                         log.info("Building package.info : " + package_info_file.getAbsolutePath())
                         Properties props = new Properties()
-                        props.setProperty('code', project.artifactId)
+                        props.setProperty('code', project.properties["gvsig.package.info.code"])
                         props.setProperty('code-alias', project.properties["gvsig.package.info.codealias"])
-                        props.setProperty('name', project.name)
+                        props.setProperty('name', project.properties["gvsig.package.info.name"])
                         props.setProperty('version', project.properties["gvsig.package.info.version"])
-                        props.setProperty('description', project.description)
+                        props.setProperty('description', project.properties["gvsig.package.info.description"])
                         props.setProperty('owner', project.properties["gvsig.package.info.owner"])
                         props.setProperty('java-version', project.properties["gvsig.package.info.javaVM"])
                         props.setProperty('official', project.properties["gvsig.package.info.official"])
@@ -1717,19 +1741,19 @@
 
                         pkgname = "gvSIG-desktop-" + 
                           project.properties["gvsig.package.info.gvSIGVersion"] + "-" + 
-                          project.artifactId + "-" + 
+                          project.properties["gvsig.package.info.code"] + "-" + 
                           project.properties["gvsig.package.info.version"] + "-" + 
                           project.properties["buildNumber"] + "-" + 
                           project.properties["gvsig.package.info.state"] + "-" + 
                           project.properties["gvsig.package.info.operatingSystem"] + "-" + 
                           project.properties["gvsig.package.info.architecture"] + "-" + 
                           project.properties["gvsig.package.info.javaVM"]
-                        package_info_file  = new File(project.basedir, "target/gvspki/"+project.artifactId+"/package.info")
+                        package_info_file  = new File(project.basedir, "target/gvspki/"+project.properties["gvsig.package.info.code"]+"/package.info")
                         log.info("Building package.info index " + package_info_file.getAbsolutePath())
                         package_info_file.getParentFile().mkdirs()
                         props.setProperty('download-url', 
                           project.properties["gvsig.package.info.poolURL"] + "/" +
-                          project.artifactId + "/" +
+                          project.properties["gvsig.package.info.code"] + "/" +
                           pkgname + ".gvspkg"
                         )
                         props.store(package_info_file.newWriter(), null)
@@ -1749,7 +1773,7 @@
                     } else {
                       pkgname = "gvSIG-desktop-" + 
                         project.properties["gvsig.package.info.gvSIGVersion"] + "-" + 
-                        project.artifactId + "-" + 
+                        project.properties["gvsig.package.info.code"] + "-" + 
                         project.properties["gvsig.package.info.version"] + "-" + 
                         project.properties["buildNumber"] + "-" + 
                         project.properties["gvsig.package.info.state"] + "-" + 
@@ -1777,7 +1801,7 @@
                       ant = new AntBuilder()
                       pkgname = "gvSIG-desktop-" + 
                         project.properties["gvsig.package.info.gvSIGVersion"] + "-" + 
-                        project.artifactId + "-" + 
+                        project.properties["gvsig.package.info.code"] + "-" + 
                         project.properties["gvsig.package.info.version"] + "-" + 
                         project.properties["buildNumber"] + "-" + 
                         project.properties["gvsig.package.info.state"] + "-" + 
@@ -1785,28 +1809,38 @@
                         project.properties["gvsig.package.info.architecture"] + "-" + 
                         project.properties["gvsig.package.info.javaVM"]
 
-                      source = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspkg.zip"
-                      target = project.properties["gvsig.product.folder.path"] + "/gvSIG/extensiones/"
-
-                      log.info("Install plugin to " + target)
-                      ant.unzip(src: source, dest: target)
-
-                      target = new File(project.properties["gvsig.product.folder.path"] + 
-                        "/install/" + 
-                        project.artifactId + "/" +
-                        pkgname + ".gvspkg")
-                      target.getParentFile().mkdirs()
-
-                      log.info("Copy plugin package from " + source + " to " + target)
-                      ant.copy(file:source, tofile:target.getAbsolutePath())
-
-                      source  = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspki"
-                      target = project.properties["gvsig.product.folder.path"] + 
-                        "/install/" + 
-                        project.artifactId + "/" +
-                        pkgname + ".gvspki"
-                      log.info("Copy plugin package index from " + source + " to " + target)
-                      ant.copy(file:source, tofile:target)
+                      println("gvsig.install.plugin=" + project.properties["gvsig.install.plugin"])
+                      println("gvsig.install.plugin.package=" + project.properties["gvsig.install.plugin.package"])
+					  if( project.properties["gvsig.install.plugin"]=="true" ) {
+	                      source = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspkg.zip"
+	                      target = project.properties["gvsig.product.folder.path"] + "/gvSIG/extensiones/"
+	
+	                      log.info("Install plugin to " + target)
+	                      ant.unzip(src: source, dest: target)
+                      } else {
+                          log.info("Skip plugin install.")
+                      }
+                      if( project.properties["gvsig.install.plugin.package"]=="true" ) {
+                          source = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspkg.zip"
+	                      target = new File(project.properties["gvsig.product.folder.path"] + 
+	                        "/install/" + 
+	                        project.properties["gvsig.package.info.code"] + "/" +
+	                        pkgname + ".gvspkg")
+	                      target.getParentFile().mkdirs()
+	
+	                      log.info("Copy plugin package from " + source + " to " + target)
+	                      ant.copy(file:source, tofile:target.getAbsolutePath())
+	
+	                      source  = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspki"
+	                      target = project.properties["gvsig.product.folder.path"] + 
+	                        "/install/" + 
+	                        project.properties["gvsig.package.info.code"] + "/" +
+	                        pkgname + ".gvspki"
+	                      log.info("Copy plugin package index from " + source + " to " + target)
+	                      ant.copy(file:source, tofile:target)
+                      } else {
+                          log.info("Skip plugin package install.")
+					  }
                     }
                   ]]></source>
                 </configuration>
@@ -1839,7 +1873,9 @@
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-release-plugin</artifactId>
             <configuration>
-                <tagBase>https://devel.gvsig.org/svn/gvsig-desktop/tags/</tagBase>
+                <!-- The property svn.tags.folder is used in external projects   -->
+    			<!-- to override configuraction of tagBase -->
+                <tagBase>${svn.tags.folder}</tagBase> 
                 <!-- This is a 2.0 beta 6 bug. By default the goals are 'clean verify', so the modules  
                 are not installed, so the dependencies between modules are not met. With this configuration   
                 we force the module installation. -->  
@@ -2222,8 +2258,15 @@
     <site-repository>dav:https://devel.gvsig.org/sites/${project.artifactId}/${project.version}</site-repository>
     <eclipse.project.name>${project.artifactId}</eclipse.project.name>
     
+    <!-- The property svn.tags.folder is used in external projects to override  -->
+    <!-- configuraction in maven-release-plugin -->
+    <svn.tags.folder>https://devel.gvsig.org/svn/gvsig-desktop/tags/</svn.tags.folder>
+    
     <!-- Package info property values -->
     <gvsig.package.info.codealias />
+    <gvsig.package.info.code>${project.artifactId}</gvsig.package.info.code>
+    <gvsig.package.info.name>${project.name}</gvsig.package.info.name>
+    <gvsig.package.info.description>${project.description}</gvsig.package.info.description>
     <gvsig.package.info.version>${project.version}</gvsig.package.info.version>
     <gvsig.package.info.state>devel</gvsig.package.info.state>
     <gvsig.package.info.official>false</gvsig.package.info.official>
@@ -2237,7 +2280,12 @@
     <gvsig.package.info.webURL>http://www.gvsig.com</gvsig.package.info.webURL>
     <gvsig.package.info.categories />
     <gvsig.package.info.poolURL>http://downloads.gvsig.org/download/gvsig-desktop/pool</gvsig.package.info.poolURL>
-
+    
+    <!-- Control the deploy of the plugin in gvsig.product.folder.path/gvSIG/extensiones -->
+    <gvsig.install.plugin>true</gvsig.install.plugin>
+    <!--  Control the deploy of the plugin package in gvsig.product.folder.path/install -->
+    <gvsig.install.plugin.package>true</gvsig.install.plugin.package>
+    
     <!-- External project versions -->
     <gvsig.tools.version>3.0.7</gvsig.tools.version>
     <gvsig.about.version>1.0.0</gvsig.about.version>