Index: DummyFileFeatureStore.java
===================================================================
--- DummyFileFeatureStore.java	(revision 41817)
+++ DummyFileFeatureStore.java	(revision 41818)
@@ -198,7 +198,7 @@
 			// TODO Auto-generated method stub
 			return false;
 		}
-      
+
         public String getSubtype() {
             // TODO Auto-generated method stub
             return null;
@@ -340,7 +340,7 @@
 
         public void validate(Object value) throws DynFieldValidateException {
             // TODO Auto-generated method stub
-            
+
         }
 
         public Object coerce(Object value) throws CoercionException {
@@ -411,7 +411,7 @@
         public void setFeatureAttributeGetter(
             FeatureAttributeGetter featureAttributeGetter) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public FeatureAttributeEmulator getFeatureAttributeEmulator() {
@@ -543,7 +543,7 @@
 
         public void removeDynMethod(String name) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public DynField addDynField(String name) {
@@ -671,17 +671,17 @@
 
         public void extend(DynStruct struct) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void extend(String namespace, String structName) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void extend(String structName) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public DynField getDeclaredDynField(String name) {
@@ -741,28 +741,28 @@
 
         public void removeDynField(String name) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void setDescription(String description) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void setNamespace(String namespace) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void validate(DynObject object)
             throws DynObjectValidateException {
             // TODO Auto-generated method stub
-            
+
         }
 
         public void addDynMethod(DynMethod dynMethod) {
             // TODO Auto-generated method stub
-            
+
         }
 
         public DynMethod getDeclaredDynMethod(String name)
@@ -798,17 +798,17 @@
 
 		public void extend(DynStruct[] structs) {
 			// TODO Auto-generated method stub
-			
+
 		}
 
 		public void remove(DynStruct superDynStruct) {
 			// TODO Auto-generated method stub
-			
+
 		}
 
 		public void removeAll(DynStruct[] superDynStruct) {
 			// TODO Auto-generated method stub
-			
+
 		}
 
         public FeatureAttributeDescriptor getDefaultTimeAttribute() {
@@ -819,15 +819,15 @@
 	}
 
 	private String name = "[empty]";
-	
+
 	public DummyFileFeatureStore() {
-		
+
 	}
-	
+
 	public DummyFileFeatureStore(String id) {
 		name = "[FILE FEATURE STORE - " + id + "]";
 	}
-	
+
 	public boolean allowWrite() {
 		// TODO Auto-generated method stub
 		return false;
@@ -1261,16 +1261,16 @@
 		// TODO Auto-generated method stub
 
 	}
-	
-	
-	
+
+
+
 	public static void registerPersistent() {
 		PersistenceManager manager = ToolsLocator.getPersistenceManager();
 		DynStruct definition = manager.addDefinition(
 				DummyFileFeatureStore.class,
 				"DummyFileFeatureStore",
 				"DummyFileFeatureStore Persistence definition",
-				null, 
+				null,
 				null
 		);
 		definition.addDynFieldString("name")
@@ -1291,7 +1291,7 @@
 	public void createCache(String name, DynObject parameters)
 			throws DataException {
 		// TODO Auto-generated method stub
-		
+
 	}
 
 	public FeatureCache getCache() {
@@ -1306,7 +1306,7 @@
 	public void export(DataServerExplorer explorer, String provider,
 			NewFeatureStoreParameters params) throws DataException {
 		// TODO Auto-generated method stub
-		
+
 	}
 
 	public String getProviderName() {
@@ -1362,7 +1362,7 @@
         // TODO Auto-generated method stub
         return null;
     }
-    
+
     public Object clone() throws CloneNotSupportedException {
         // TODO Auto-generated method stub
         return super.clone();
@@ -1373,7 +1373,7 @@
      */
     public void commitChanges() throws DataException {
         // TODO Auto-generated method stub
-        
+
     }
 
     /* (non-Javadoc)
@@ -1383,4 +1383,9 @@
         // TODO Auto-generated method stub
         return false;
     }
+
+    public Feature getFeature(DynObject dynobject) {
+        // TODO Auto-generated method stub
+        return null;
+    }
 }
\ No newline at end of file