Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.tools.evaluator.sqljep/src/main/java/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.tools.evaluator.sqljep/src/main/java/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java	(revision 42458)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.tools.evaluator.sqljep/src/main/java/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java	(revision 42459)
@@ -195,32 +195,32 @@
                     "+",
                     "Returns the sum (addition) of the left operand and"
                     + " the right operand.",
-                    "<Numeric_value_1> + <Numeric_value_2>",
+                    " + ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER),
                 new DefaultDescription(
                         "-",
                         "Returns the difference (subtraction) of the left operand minus"
                         + " the right operand. It can be used as unary operator to"
                         + " change the sign of the right operand.",
-                        "<Numeric_value_1> - <Numeric_value_2>",
+                        " - ",
                         EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER),
                 new DefaultDescription(
                     "*",
                     "Returns the product (multiplication) of the left operand by"
                     + " the right operand.",
-                    "<Numeric_value_1> * <Numeric_value_2>",
+                    " * ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER),
                 new DefaultDescription(
                         "/",
                         "Returns the division of the left operand by"
                         + " the right operand.",
-                        "<Numeric_value_1> / <Numeric_value_2>",
+                        " / ",
                         EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER),
                 new DefaultDescription(
                             ">",
                             "Returns TRUE if the left operand is greater than "
                             + "the right operand; FALSE otherwise.",
-                            "<Left_value> > <Right_value>",
+                            " > ",
                             EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -229,7 +229,7 @@
                             "<",
                             "Returns TRUE if the left operand is smaller"
                             + " than the right operand; FALSE otherwise.",
-                            "<Left_value> < <Right_value>",
+                            " < ",
                             EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -238,7 +238,7 @@
                             ">=",
                             "Returns TRUE if the left operand is greater or "
                             + "equal to the right operand; FALSE otherwise.",
-                            "<Left_value> >= <Right_value>",
+                            " >= ",
                             EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -247,16 +247,16 @@
                     "<=",
                     "Returns TRUE if the left operand is less or "
                     + "equal to the right operand; FALSE otherwise.",
-                    "<Left_value> <= <Right_value>",
+                    " <= ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_BOOLEAN),
                 new DefaultDescription(
-                    "==",
+                    "=",
                     "Returns TRUE if the left operand equals "
                     + "the right operand; FALSE otherwise.",
-                    "<Left_value> == <Right_value>",
+                    " = ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -265,7 +265,7 @@
                         "!=",
                         "Returns TRUE if the left operand is not equal to "
                         + "the right operand; FALSE otherwise.",
-                        "<Left_value> != <Right_value>",
+                        " != ",
                         EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                         | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                         | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -274,25 +274,25 @@
                             "And",
                             "Returns TRUE if both operands are TRUE"
                             + "; FALSE otherwise.",
-                            "<Left_value> and <Right_value>",
+                            " and <Right_value>",
                             EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_BOOLEAN),
                 new DefaultDescription(
                     "Or",
                     "Returns TRUE if the left operand is TRUE or the "
                     + "right operand is TRUE; FALSE otherwise.",
-                    "<Left_value> or <Right_value>",
+                    " or ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_BOOLEAN),
                 new DefaultDescription(
                     "Not",
                     "Returns the logical inverse of the right operand: TRUE if the right "
                     + "operand is FALSE; FALSE otherwise.",
-                    "not <Right_value>",
+                    "not ",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_BOOLEAN),
                 new DefaultDescription(
                     "In",
                     "Returns TRUE if the left operand equals one of the comma-separated"
                     + " values; FALSE otherwise.",
-                    "<Left_value> in ( <Comma_separated_values> )",
+                    " in ( <Comma_separated_values> )",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -302,7 +302,7 @@
                     "Returns TRUE if the left operand is greater or equal than " +
                     "the first right operand and less or equal than the second " +
                     "right operand; FALSE otherwise.",
-                    "<Left_value> between <Right_value_1> and <Right_value_2>",
+                    " between <Right_value_1> and <Right_value_2>",
                     EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                     | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -311,13 +311,13 @@
                         "Like",
                         "Returns TRUE if the left operand matches the pattern expressed " +
                         "by the right operand; FALSE otherwise. Use '%' as wildcard.",
-                        "<Left_value> like <Right_value>",
+                        " like <Right_value>",
                         EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING),
                 new DefaultDescription(
                             "Is Null",
                             "Returns TRUE if the left operand has NULL value;" +
                             " FALSE otherwise.",
-                            "<Left_value> is null",
+                            " is null",
                             EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                             | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME
@@ -326,7 +326,7 @@
                                 "Is Not Null",
                                 "Returns TRUE if the left operand does not have NULL value;" +
                                 " FALSE otherwise.",
-                                "<Left_value> is not null",
+                                " is not null",
                                 EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_NUMBER
                                 | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_STRING
                                 | EvaluatorWithDescriptions.Description.DATATYPE_CATEGORY_DATETIME