Index: ProjectionPool.java
===================================================================
--- ProjectionPool.java	(revision 42463)
+++ ProjectionPool.java	(revision 42464)
@@ -222,7 +222,7 @@
         cs = new CSLambertCC(CSDatum.ntfParis, 0, 46.79999999999995, 0.99987742, 600000, 2200000);
         cs.setAbrev("EPSG:27572");
         data.put(cs.getAbrev(), cs);
-        
+
         cs = new CSLambertCC(CSDatum.ntfParis, 0, 52, 0.99987742, 600000, 2200000);
         cs.setAbrev("EPSG:27582");
         data.put(cs.getAbrev(), cs);
@@ -248,7 +248,7 @@
         data.put(cs.getAbrev(), cs);
         cs.setAbrev("EPSG:9804");
         data.put(cs.getAbrev(), cs);
-        
+
         // Lo que faltaba: ¡planetas!
         cs = (new CSUTM(CSDatum.moon, 30)).toGeo();
         cs.setAbrev("IAU2000:30100"); // Moon
@@ -257,22 +257,22 @@
         cs = (new CSUTM(CSDatum.mars, 30)).toGeo();
         cs.setAbrev("IAU2000:49900"); // Mars
         data.put(cs.getAbrev(), cs);
-        
+
         /*
          * CRSs argentinos.
          * coordenadas geograficas
-			PosGAr 4172 
+			PosGAr 4172
 			PosGAr98 4190
-			
+
 			coordenadas proyectadas
-			POSGAR 94/Argentina 1 22191 
+			POSGAR 94/Argentina 1 22191
 			POSGAR 94/Argentina 2 22192
 			POSGAR 94/Argentina 3 22193
 			POSGAR 94/Argentina 4 22194
 			POSGAR 94/Argentina 5 22195
 			POSGAR 94/Argentina 6 22196
 			POSGAR 94/Argentina 7 22197
-			
+
 			POSGAR 98/Argentina 1 22181
 			POSGAR 98/Argentina 2 22182
 			POSGAR 98/Argentina 3 22183
@@ -280,9 +280,9 @@
 			POSGAR 98/Argentina 5 22185
 			POSGAR 98/Argentina 6 22186
 			POSGAR 98/Argentina 7 22187
-			
+
 			4221 GEOGCS["GCS_Campo_Inchauspe",DATUM["D_Campo_Inchauspe",SPHEROID["International_1924",6378388,297]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]]
-			
+
 			22191	EPSG	22191	PROJCS["Argentina_Zone_1",GEOGCS["GCS_Campo_Inchauspe",DATUM["D_Campo_Inchauspe",SPHEROID["International_1924",6378388,297]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["False_Easting",1500000],PARAMETER["False_Northing",0],PARAMETER["Central_Meridian",-72],PARAMETER["Scale_Factor",1],PARAMETER["Latitude_Of_Origin",-90],UNIT["Meter",1]]	+proj=tmerc +lat_0=-90 +lon_0=-72 +k=1.000000 +x_0=1500000 +y_0=0 +ellps=intl +units=m
 			22192	EPSG	22192	PROJCS["Argentina_Zone_2",GEOGCS["GCS_Campo_Inchauspe",DATUM["D_Campo_Inchauspe",SPHEROID["International_1924",6378388,297]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["False_Easting",2500000],PARAMETER["False_Northing",0],PARAMETER["Central_Meridian",-69],PARAMETER["Scale_Factor",1],PARAMETER["Latitude_Of_Origin",-90],UNIT["Meter",1]]	+proj=tmerc +lat_0=-90 +lon_0=-69 +k=1.000000 +x_0=2500000 +y_0=0 +ellps=intl +units=m
 			22193	EPSG	22193	PROJCS["Argentina_Zone_3",GEOGCS["GCS_Campo_Inchauspe",DATUM["D_Campo_Inchauspe",SPHEROID["International_1924",6378388,297]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["False_Easting",3500000],PARAMETER["False_Northing",0],PARAMETER["Central_Meridian",-66],PARAMETER["Scale_Factor",1],PARAMETER["Latitude_Of_Origin",-90],UNIT["Meter",1]]	+proj=tmerc +lat_0=-90 +lon_0=-66 +k=1.000000 +x_0=3500000 +y_0=0 +ellps=intl +units=m
@@ -295,7 +295,7 @@
         cs = new CoordSys(CSDatum.posgar);
         cs.setAbrev("EPSG:4172"); // Posgar
         data.put(cs.getAbrev(), cs);
-        
+
         cs = new CoordSys(
 			"GEOGCS[\"GCS_Campo_Inchauspe\"," +
 				"DATUM[\"D_Campo_Inchauspe\"," +
@@ -305,7 +305,7 @@
 				"UNIT[\"Degree\",0.017453292519943295]]");
         cs.setAbrev("EPSG:4221"); // Campo Inchauspe
         data.put(cs.getAbrev(), cs);
-        
+
        for (int i=1; i<=7; i++) {
 	        cs = new CoordSys(
 	        	"PROJCS[\"Argentina_Zone_"+i+"\"," +
@@ -325,10 +325,10 @@
 	        cs.setAbrev("EPSG:2219"+i); // Posgar
 	        data.put(cs.getAbrev(), cs);
         }
-       
+
        /*
         * pendiente de añadir:
-        * 
+        *
         * EPSG 3003: Montemario / Italy Zone 1 - Pendiente de añadir
       	* EPSG 4149: CH1903 - Pendiente de añadir
       	* Ecuador:
@@ -381,4 +381,13 @@
 	public boolean doesRigurousTransformations() {
 		return false;
 	}
+
+    /* (non-Javadoc)
+     * @see org.cresques.cts.ICRSFactory#get(java.lang.String, java.lang.String)
+     */
+    @Override
+    public IProjection get(String format, String value) {
+        // TODO Auto-generated method stub
+        return null;
+    }
 }